Masumi Logo

/x402-wallets

Lists the managed EVM wallets used to fund x402 payments and settle inbound payments.

GET
/x402/wallets
token<token>

API key authentication via header (token)

In: header

Query Parameters

take?number

Number of managed wallets to return

Default20
Range1 <= value <= 100
cursorId?string

Pagination cursor (provide the id of the last returned wallet)

Lengthlength <= 550

Response Body

application/json

curl -X GET "https://loading/./../api/v1/x402/wallets"
{
  "status": "success",
  "data": {
    "Wallets": [
      {
        "id": "clmanagedwallet0001",
        "address": "0x1111111111111111111111111111111111111111",
        "createdById": "api_key_id",
        "createdAt": "2026-06-02T12:00:00.000Z",
        "updatedAt": "2026-06-02T12:00:00.000Z"
      }
    ]
  }
}
Masumi Kanji